Paycose Docs
Meter
GET/meters

List Meters

Paginated list of usage meters.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/meters/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[created_at]=&filter[event_name]=&filter[event_time_window]=&filter[id]=&filter[labels]=&filter[status]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default).

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": null,
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "display_name": "<string>",
      "event_name": "<string>",
      "event_time_window": "<string>",
      "aggregation": "<string>",
      "status": "<string>",
      "deactivated_at": "<RFC3339 timestamp>",
      "metadata": "<datatypes.JSON>",
      "labels": "<core.Labels>"
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page